Pipelines
Reorder pipeline stages
Updates the display order of stages within a pipeline.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
funnels
/
{id}
/
stages
/
reorder
Reorder pipeline stages
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/stages/reorder \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"stage_ids": [
7,
8,
9,
10,
11
]
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/stages/reorder"
payload = { "stage_ids": [7, 8, 9, 10, 11] }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({stage_ids: [7, 8, 9, 10, 11]})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/stages/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 7,
"funnel_id": 3,
"name": "Qualification",
"color": "#2196F3",
"position": 2,
"chatwoot_status": "open",
"cards_count": 8,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
API access token for authentication. Obtain from your Voxys Connect profile settings.
Path Parameters
The numeric ID of the account.
The ID of the pipeline.
Body
application/json
Ordered list of stage IDs representing the new order.
Example:
[7, 8, 9, 10, 11]
Response
Stages reordered.
Example:
7
Example:
3
Example:
"Qualification"
Example:
"#2196F3"
Example:
2
Available options:
open, resolved, pending, null Example:
"open"
Example:
8
Previous
List pipeline cardsReturns all cards (deals) in a pipeline, with optional filtering by stage or lead status.
Next
⌘I
Reorder pipeline stages

